## lava-server 2014.07

=== debian/changelog ===
lava-server (2014.07-1) unstable; urgency=medium

  * New production release
  * Includes optimised Image Reports 2.0 and bug fixes

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Aug 2014 11:32:36 +0100

lava-server (2014.06.24-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Documentation update and unit test fixes.

 -- Neil Williams <codehelp@debian.org>  Thu, 24 Jul 2014 21:07:50 +0100

lava-server (2014.06.22-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Jul 2014 16:43:51 +0100

lava-server (2014.06.14.17-1) unstable; urgency=medium

  * New upstream release
  * Includes fix for dashboard unit tests and error on
    submitting result data for the first time.
  * Recommend Android support tools to communicate with devices using
    adb

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Jul 2014 19:01:00 +0100

lava-server (2014.06.02.17-2) unstable; urgency=medium

  * Drop README.Debian as this information is now in the
    upstream documentation and has also been updated.
  * Specify django-testscenarios to fix autopkgtest
  * Add build-essential to the dependencies of lava-dev
    to ensure the build scripts can operate.
  * add directory to support archival of job output files

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Jul 2014 15:35:50 +0100

lava-server (2014.06.02.17-1) unstable; urgency=medium

  * New upstream production release

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Jul 2014 18:49:10 +0100

lava-server (2014.05.30.09-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright for upstream changes.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Jun 2014 19:29:34 +0100

lava-server (2014.05.11.14-1) unstable; urgency=medium

  * New upstream release
  * Update for merge into upstream master branch.

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Jun 2014 18:47:23 +0100

lava-server (2014.04.16-1) experimental; urgency=medium

  * Initial release. (Closes: #747356: ITP: lava-server -- Linaro
    Automated Validation Architecture server)
  * Target experimental during final changes.

 -- Neil Williams <codehelp@debian.org>  Fri, 16 May 2014 21:11:32 +0100

lava-server (0.22.1-8) unstable; urgency=medium

  * Add python-setuptools to ensure lava-server manage operates
    properly.
  * Use common static file locations in Debian and Ubuntu
  * Create all the SSHFS directories and generate the SSH key for the
    worker.
  * Improve the remote worker setup support.

 -- Neil Williams <codehelp@debian.org>  Wed, 07 May 2014 20:05:26 +0100

lava-server (0.22.1-7) unstable; urgency=medium

  * Add sbuild sample script to lava-dev
  * Move creation of superuser into install_database function and check
    if the superuser needs to be created.
  * Update vcs location
  * Drop linaro-django-pagination from lava-server
  * Add lava-dev to the metapackage
  * Add vmdebootstrap to lava metapackage and a README to lava-dev.
  * Add libjs-jquery-flot and symlink relevant copies.
  * Add the sshfs mount script for remote workers.

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Apr 2014 10:37:27 +0100

lava-server (0.22.1-6) unstable; urgency=medium

  * Drop libguestfs-tools as it has moved to lava-dispatcher to be
    architecture-dependent.

 -- Neil Williams <codehelp@debian.org>  Sat, 29 Mar 2014 22:21:41 +0000

lava-server (0.22.1-5) unstable; urgency=medium

  * Add support for lava-dev - future versions will use git tag version
    strings.
  * Add support for reconfiguring lava-server as a remote worker - ssh
    and xmlrpc support needs to be done manually.
  * Create the superuser after completing migrations

 -- Neil Williams <codehelp@debian.org>  Fri, 28 Mar 2014 10:58:41 +0000

lava-server (0.22.1-4) unstable; urgency=medium

  * Add debconf support for migrating existing LAVA instances.

 -- Neil Williams <codehelp@debian.org>  Mon, 17 Mar 2014 15:26:39 +0000

lava-server (0.22.1-3) unstable; urgency=medium

  * Add libguestfs-tools for improved qemu support

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Mar 2014 10:16:07 +0000

lava-server (0.22.1-2) unstable; urgency=medium

  * Add support for creating the devel database for unit tests

 -- Neil Williams <codehelp@debian.org>  Wed, 26 Feb 2014 11:04:55 +0000

lava-server (0.22.1-1) unstable; urgency=medium

  * Port to django1.6 

 -- Neil Williams <codehelp@debian.org>  Thu, 20 Feb 2014 10:45:58 +0000

lava-server (0.22-1) unstable; urgency=medium

  * Multicolumn search support

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Feb 2014 10:41:46 +0000

lava-server (0.21.2-2) unstable; urgency=medium

  * Package instructions for using the initial data and sample
    configuration files
  * kvm.conf is packaged upstream in lava-dispatcher, removed.
  * Package an example health check for kvm devices

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Dec 2013 11:41:15 +0000

lava-server (0.21.2-1) unstable; urgency=medium

  * New upstream version

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Dec 2013 08:29:10 +0000

lava-server (0.21.1-6) unstable; urgency=medium

  * Remove dbconfig-common and configure localhost postgres manually

 -- Neil Williams <codehelp@debian.org>  Mon, 02 Dec 2013 13:34:50 +0000

lava-server (0.21.1-5) unstable; urgency=medium

  * Updated for dashboard format 1.7

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Nov 2013 15:43:03 +0000

lava-server (0.21.1-4) unstable; urgency=low

  * Add upstream manpages

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Nov 2013 16:48:41 +0000

lava-server (0.21.1-3) unstable; urgency=low

  * Package the etc files provided by upstream after merging from the
    packaging branch.

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Nov 2013 10:36:34 +0000

lava-server (0.21.1-2) unstable; urgency=low

  * Add PEP386 support for versioned dependencies based on requires.txt


