=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYTHON2:=$(shell pyversions -r)
install_dir=$(call py_libdir, $(PYTHON2))

%:
	dh $@ --with sphinxdoc,python2

override_dh_auto_build:
	dh_auto_build
	cp etc/lava-server.init debian/
	python setup.py build
	make -C doc/ html
	make -C man/ man

override_dh_auto_install:
	dh_auto_install
	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
	dh_installman -plava-server man/_build/man/lava-server.1
	dh_installman -plava-server man/_build/man/lava-daemon.1
	# FIXME: should not need this mv
	mv debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/htdocs/ debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server
	# move ssfs script to /usr/sbin
	mkdir debian/lava-server/usr/sbin/
	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
	# handle embedded JS
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	ln -s /usr/share/javascript/jquery-cookie/jquery.cookie.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_server/lava-server/js/jquery.cookie.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.navigate.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.navigate.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.navigate.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.canvas.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.canvas.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.canvas.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/jquery.flot.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/lava_scheduler_app/static/lava_scheduler_app/js/jquery.flot.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.selection.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.selection.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.selection.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.stack.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.stack.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.stack.min.js
	$(RM) $(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.time.min.js
	ln -s /usr/share/javascript/jquery-flot/jquery.flot.time.min.js \
		$(CURDIR)/debian/lava-server/usr/lib/python2.7/dist-packages/dashboard_app/static/dashboard_app/js/jquery.flot.time.min.js

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_server.egg-info doc/_build dist/ .idea/ jquery.cookie.js
	$(RM) -r versiontools-*.egg/
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f man/Makefile ] || make -C man/ clean
	debconf-updatepo

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-server-$(VERSION).tar.gz ../lava-server_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/
