## lava-server 2014.09.1

=== debian/changelog ===
lava-server (2014.09.1-1) unstable; urgency=medium

  * New hotfix release cherry-picking upstream fixes,
    reviews 3346, 3345, 3347, 3348 and 3331.
    Includes fixes for django-tables2 update on filter
    tables, multinode scheduling and a regression in
    filter charts.

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Oct 2014 18:00:39 +0100

lava-server (2014.09-1) unstable; urgency=medium

  * New upstream production release
  * Fix upgrade issue with parallel migrations. (Closes: #763310)
  * Use libjs-excanvas package as a dependency.
  * Includes fix to trailing calls to python-django-longerusername.
    (Closes: #763319)
  * Add option to use LDAP authentication
  * Update standards version, no changes

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Oct 2014 14:13:30 +0100

lava-server (2014.08.2-1) unstable; urgency=medium

  * New production release includes fixes for multinode tagging,
    multinode slave capability and documentation, fixup time
    display in various places to be more human readable,
    make test selection on image reports persistent and add
    skipped and unknown test count to totals in image reports.
  * Migrate to Django 1.7 support (Closes: #755610)
  * Fix machine-readable sections of copyright lines

 -- Neil Williams <codehelp@debian.org>  Wed, 17 Sep 2014 10:24:09 -0700

lava-server (2014.07.1-1) unstable; urgency=medium

  * New upstream bug fix release, including fixes for
    multinode device tags support and fixes for attaching
    bug numbers to image reports.
  * [INTL:pt] Portuguese translation for debconf messages
    (Closes: #753907)
  * [INTL:ru] Russian debconf templates translation
    (Closes: #756644)
  * [INTL:de] Initial German debconf translation
    (Closes: #757519)
  * [INTL:da] Danish translation of the debconf templates lava-
    server (Closes: #757651)
  * [INTL:fr] French debconf templates translation
    (Closes: #757709)
  * [INTL:es] Spanish translation of debconf messages
    (Closes: #757894)
  * [l10n:cs] Initial Czech translation of PO debconf template for
    lava-server (Closes: #758018)
  * [INTL:it] Italian translation of debconf messages
    (Closes: #758028)
  * [INTL:pt_BR] Brazilian Portuguese debconf templates
    translation (Closes: #757728)
  * [debconf_rewrite] Debconf templates and debian/control review
    completed. (Closes: #754149)

 -- Neil Williams <codehelp@debian.org>  Sat, 09 Aug 2014 12:15:28 +0100
