=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios
Restrictions: allow-stderr
