=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

#http://releases.linaro.org/latest/components/lava/lava-server_(.*).tar.gz

https://git.linaro.org/lava/lava-server.git/tags /lava/lava-server.git/log/refs/tags/(.*)
