## lava-server 2015.05

=== debian/changelog ===
lava-server (2015.05-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 May 2015 12:01:12 +0100

lava-server (2015.05-1) unstable; urgency=medium

  * New production release for unstable.
  * Use Debian changelog date for sphinx timestamps. Patch from
    Reiner Herrmann <reiner@reiner-h.de> (Closes: #782386)
  * Symlink the source files as well as minified js files
  * Tidy up lintian copyright Files matches.

 -- Neil Williams <codehelp@debian.org>  Fri, 08 May 2015 10:57:24 +0100

lava-server (2015.04-1) experimental; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Apr 2015 10:34:05 +0100

lava-server (2015.03-1) experimental; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2015 19:33:42 +0000

lava-server (2015.01-1) experimental; urgency=medium

  * New production release.
  * [INTL:nl] Dutch translation of debconf messages
    (Closes: #766547)

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Feb 2015 13:39:42 +0800

lava-server (2014.12-1) experimental; urgency=medium

  * New production release
  * Add dh-python to Build-Depends

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Dec 2014 08:59:39 +0000
