=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-setuptools (>= 3)
 X-Python-Version: 2.7
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -23,8 +23,9 @@
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Depends: apache2, adduser, diffstat, fuse, iproute2,
  libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
- python-daemon, python-dateutil, python-django-auth-openid (>= 0.5-2),
- python-setuptools,
+ python-daemon, python-dateutil,
+ python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
+ python-setuptools, libjs-excanvas,
  libjs-jquery-cookie, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
@@ -51,7 +52,7 @@
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
  lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, ${misc:Depends}
+ tftpd-hpa, openssh-client, schroot, ${misc:Depends}
 Recommends: lavapdu-daemon
 Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
 Description: Linaro Automated Validation Architecture metapackage
