## lava-server 2015.06

=== debian/changelog ===
lava-server (2015.06-1) unstable; urgency=medium

  *  New upstream production release
  *  Add unit test support files. (Closes: #785607)

 -- Neil Williams <codehelp@debian.org>  Mon, 18 May 2015 12:57:56 +0100
