## lava-server 2015.07

=== debian/changelog ===
lava-server (2015.07-1) unstable; urgency=medium

  * New upstream production release.
  * Support old and new python-lockfile API for
    trusty and jessie-backports support (Closes: #789907)

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Jul 2015 17:11:18 +0100
