=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,8 @@
 	# move ssfs script to /usr/sbin
 	mkdir debian/lava-server/usr/sbin/
 	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
+	# skip unwanted licence file specified in copyright
+	$(RM) debian/lava-server/usr/lib/python2.7/dist-packages/google_analytics/LICENSE
 	# handle embedded JS
 	# jquery.flot
 	for file in $(DASHBOARD_JS); do \
