## lava-server 2015.9

=== debian/changelog ===
lava-server (2015.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 13 Oct 2015 18:05:27 +0100

lava-server (2015.9-1) unstable; urgency=medium

  * New production release
  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 10 Sep 2015 14:08:50 +0530
