=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
+ Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+ Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
+ libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools (>= 3)
+ python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
@@ -25,8 +28,9 @@
  libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
  python-daemon, python-dateutil,
  python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
- python-setuptools, libjs-excanvas,
- libjs-jquery-cookie, libjs-jquery-flot (>= 0.8.2), openssh-client,
+ python-setuptools, libjs-excanvas, libjs-jquery-cookie,
+ libjs-jquery, libjs-jquery-ui,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
@@ -52,7 +56,7 @@
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
  lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, openssh-client, schroot, ${misc:Depends}
+ tftpd-hpa, openssh-client, schroot, lxc, bridge-utils, ${misc:Depends}
 Recommends: lavapdu-daemon
 Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
 Description: Linaro Automated Validation Architecture metapackage
@@ -72,6 +76,8 @@
 Section: devel
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
+ libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  django-testscenarios, pep8,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
