## lava-server 2015.11

=== debian/changelog ===
lava-server (2015.11-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 02 Nov 2015 13:36:09 +0000
