## lava-server 2015.12

=== debian/changelog ===
lava-server (2015.12-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Retain Suggests on python-django-auth-openid as the version
    in jessie will work with the version of django in jessie.

 -- Neil Williams <codehelp@debian.org>  Thu, 24 Dec 2015 11:16:23 +0000

lava-server (2015.12-3) unstable; urgency=medium

  * Conflict with python-django-auth-openid as
    python-django-auth-openid cannot support django1.9 which
    is now in unstable and testing. (Closes: #808313)

 -- Neil Williams <codehelp@debian.org>  Fri, 18 Dec 2015 20:09:33 +0000

lava-server (2015.12-2) unstable; urgency=medium

  * Add extra autopkgtest dependency: python-tz
    Also add to main Depends to avoid issues if python-django
    is installed without Recommends.

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Dec 2015 21:24:35 +0000

lava-server (2015.12-1) unstable; urgency=medium

  * New production release
  * Migrates to django1.9 support (Closes: #804111)

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Dec 2015 09:40:37 +0000
