=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
@@ -22,18 +22,19 @@
 Package: lava-server
 Architecture: all
 Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
-Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
+Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc,
+ python-django-hijack (<= 1.0.10-1), python-django (<< 1.7)
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Depends: apache2, adduser, diffstat, fuse, iproute2,
- libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw,
- python-daemon, python-dateutil,
- python-django-auth-ldap | python-django-auth-openid (>= 0.5-2),
+ libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw, python-tz,
+ python-daemon, python-dateutil, python-django-auth-ldap,
  python-setuptools, libjs-excanvas, libjs-jquery-cookie,
- libjs-jquery, libjs-jquery-ui,
+ libjs-jquery, libjs-jquery-ui, python-django (>= 1.7),
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
+Suggests: python-django-hijack, python-django-auth-openid
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -76,12 +77,12 @@
 Section: devel
 Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
  debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
- libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
+ node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
- django-testscenarios, pep8,
+ django-testscenarios, pep8, android-tools-adb, android-tools-fastboot,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools, python-versiontools,
+ python-mocker, python-setuptools, python-versiontools, python-yaml,
  docbook-xsl, xsltproc,
  ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot
