=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios, python-tz
Restrictions: allow-stderr
