## lava-server 2016.2

=== debian/changelog ===
lava-server (2016.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Feb 2016 19:48:06 +0000

lava-server (2016.2-1) unstable; urgency=medium

  * New production release (Closes: #807999)

 -- Neil Williams <codehelp@debian.org>  Tue, 02 Feb 2016 08:33:52 +0000

lava-server (2015.12-4) unstable; urgency=medium

  * Use --fake-initial option on migrations, when django1.8
    is available but not on Jessie. (Closes: #810355)

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Jan 2016 19:33:16 +0000
