=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,6 @@
 	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
 	# dispatcher-master zeromq support, lava-server.init handled by auto_install.
 	[ ! -f etc/lava-master.init ] || dh_installinit --name lava-master
-	# jinja support
-	[ ! -d etc/dispatcher-config ] || cp -r etc/dispatcher-config $(CURDIR)/debian/lava-server/etc/lava-server/
 	dh_installman -plava-server man/_build/man/lava-server.1
 	dh_installman -plava-server man/_build/man/lava-daemon.1
 	[ ! -f man/_build/man/lava-master.1 ] || dh_installman -plava-server man/_build/man/lava-master.1
